Loading...
Searching...
No Matches
elastix::InstallFunctions< TAnyItkObject > Class Template Reference
Core » Install

`#include <elxInstallFunctions.h>`

## Detailed Description

template<class TAnyItkObject>
class elastix::InstallFunctions< TAnyItkObject >

A class with functions that are used to install elastix components.

In elastix the metric/transform/dimension/pixeltype etc. are all selected at runtime. To make this possible, all components (metric/transform etc) have to compiled for different dimension/pixeltype. The elx::ComponentDatabase stores for each instance and each pixeltype/dimension a pointers to a function that creates a component of the specific type. The InstallFunctions class provides functions that aid in filling the elx::ComponentDatabase. The functions are called when elastix is started. Do not do this directly. Use the elxInstallMacro instead (see elxMacro.h).

See also
  ComponentDatabase

Definition at line 46 of file elxInstallFunctions.h.

## Public Types

using | AnyItkObjectType = TAnyItkObject
using | ComponentDescriptionType = ComponentDatabase::ComponentDescriptionType
using | IndexType = ComponentDatabase::IndexType
using | ObjectPointer = ComponentDatabase::ObjectPointer
using | Self = InstallFunctions

## Static Public Member Functions

static ObjectPointer | Creator ()
static int | InstallComponent (const ComponentDescriptionType &name, IndexType i, ComponentDatabase *cdb)

## Member Typedef Documentation

## AnyItkObjectType

template<class TAnyItkObject>

using elastix::InstallFunctions< TAnyItkObject >::AnyItkObjectType = TAnyItkObject

Definition at line 51 of file elxInstallFunctions.h.

## ComponentDescriptionType

template<class TAnyItkObject>

using elastix::InstallFunctions< TAnyItkObject >::ComponentDescriptionType = ComponentDatabase::ComponentDescriptionType

The type of the key in the component database (=string)

Definition at line 62 of file elxInstallFunctions.h.

## IndexType

template<class TAnyItkObject>

using elastix::InstallFunctions< TAnyItkObject >::IndexType = ComponentDatabase::IndexType

The type of the index in the component database. Each combination of pixeltype/dimension corresponds a specific number, the index (unsigned int).

Definition at line 59 of file elxInstallFunctions.h.

## ObjectPointer

template<class TAnyItkObject>

using elastix::InstallFunctions< TAnyItkObject >::ObjectPointer = ComponentDatabase::ObjectPointer

The baseclass of all objects that are returned by the Creator.

Definition at line 54 of file elxInstallFunctions.h.

## Self

template<class TAnyItkObject>

using elastix::InstallFunctions< TAnyItkObject >::Self = InstallFunctions

Standard.

Definition at line 50 of file elxInstallFunctions.h.

## Member Function Documentation

## Creator()

template<class TAnyItkObject>

ObjectPointer elastix::InstallFunctions< TAnyItkObject >::Creator | ( |  | ) |

inline static

A wrap around the New() functions of itkObjects.

Definition at line 66 of file elxInstallFunctions.h.

## InstallComponent()

template<class TAnyItkObject>

int elastix::InstallFunctions< TAnyItkObject >::InstallComponent | ( | const ComponentDescriptionType & | name,
|  | IndexType | i,
|  | ComponentDatabase * | cdb )

inline static

This function places the address of the New() function of AnyItkObjectType in the ComponentDatabase. Returns 0 in case of no errors.

Definition at line 76 of file elxInstallFunctions.h.

Generated on 1768596610 for elastix by 1.15.0 |